%define base_name jack

%define name jack-example-tools
%define version 3
%define release 2.1

%define _prefix /usr

%if %{defined fedora}
%define debug_package %{nil}
%endif

Name: jack-example-tools
Version: 3
Release: 2.1.rncbc.suse
Summary:	JACK Example Clients and Tools
License:	GPL-2.0+
Group:		Applications/Multimedia
Source0:	%{name}-%{version}.tar.gz
URL:		http://jackaudio.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	coreutils
BuildRequires:	glibc-devel
%if %{defined fedora}
BuildRequires:	pkgconfig
BuildRequires:	ninja-build
%else
BuildRequires:	pkg-config
BuildRequires:	ninja
%endif
BuildRequires:	meson
BuildRequires:	python3
%if %{defined fedora}
BuildRequires:	alsa-lib-devel
%else
BuildRequires:	alsa-devel
%endif
BuildRequires:	libjack-devel
BuildRequires:	libsndfile-devel >= 1.0.11
BuildRequires:	libsamplerate-devel >= 0.1.2
BuildRequires:	readline-devel


%description
The official JACK example clients and tools, which have been tracked in
the example-clients and tools repositories in the past


%prep
%setup -q

%build
meson --prefix=%{_prefix} build
ninja -C build

%install
DESTDIR=%{buildroot} \
meson install -C build

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_bindir}/jack_alias
%{_bindir}/jack_bufsize
%{_bindir}/jack_connect
%{_bindir}/jack_control_client
%{_bindir}/jack_cpu_load
%{_bindir}/jack_disconnect
%{_bindir}/jack_evmon
%{_bindir}/jack_freewheel
%{_bindir}/jack_impulse_grabber
%{_bindir}/jack_iodelay
%{_bindir}/jack_latent_client
%{_bindir}/jack_load
%{_bindir}/jack_load_test
%{_bindir}/jack_lsp
%{_bindir}/jack_metro
%{_bindir}/jack_midi_dump
%{_bindir}/jack_midi_latency_test
%{_bindir}/jack_midiseq
%{_bindir}/jack_midisine
%{_bindir}/jack_monitor_client
%{_bindir}/jack_net_master
%{_bindir}/jack_net_slave
%{_bindir}/jack_netsource
%{_bindir}/jack_property
%{_bindir}/jack_rec
%{_bindir}/jack_samplerate
%{_bindir}/jack_server_control
%{_bindir}/jack_showtime
%{_bindir}/jack_simdtests
%{_bindir}/jack_simple_client
%{_bindir}/jack_thru_client
%{_bindir}/jack_transport
%{_bindir}/jack_transport_client
%{_bindir}/jack_tw
%{_bindir}/jack_unload
%{_bindir}/jack_wait
%{_bindir}/jack_zombie
%{_bindir}/alsa_in
%{_bindir}/alsa_out
%dir %{_libdir}/%{base_name}
%{_libdir}/%{base_name}/jack_inprocess.so
%{_libdir}/%{base_name}/jack_internal_metro.so
%{_libdir}/%{base_name}/jack_intime.so
%{_libdir}/%{base_name}/zalsa_in.so
%{_libdir}/%{base_name}/zalsa_out.so
%doc %{_mandir}/man1/*

%changelog

* Mon May  2 2022 Rui Nuno Capela <rncbc@rncbc.org> - 3
- new release.
* Sat Apr 16 2022 Rui Nuno Capela <rncbc@rncbc.org> - 2
- new release.
